#
# spec file for package SatConfig-bootstrap
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           SatConfig-bootstrap
Version:        1.11.5
Release:        1.3
Summary:        Satellite Configuration System - satellite id installer
Url:            https://fedorahosted.org/spacewalk
Source0:        SatConfig-bootstrap-git-eba5cec9555544bc3019b1dbcf701b8a53f29250.tar.gz
BuildArch:      noarch
%if 0%{?suse_version}
Requires:       perl = %{perl_version}
%else
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%endif
Requires:       nocpulse-common
%if 0%{?suse_version}
BuildRequires:  nocpulse-common
%endif
Group:          Development/Libraries
License:        GPL v2 only
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
NOCpulse provides application, network, systems and transaction
monitoring, coupled with a comprehensive reporting system including
availability, historical and trending reports in an easy-to-use browser
interface.

SatConfig-bootstrap queries NOCpulse for the contents of the netsaintId
file.



%prep
%setup -q -n SatConfig-bootstrap-git-eba5cec9555544bc3019b1dbcf701b8a53f29250

%build
#Nothing to build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 npBootstrap.pl $RPM_BUILD_ROOT%{_bindir}

%files
%defattr(-,root,root,-)
%{_bindir}/npBootstrap.pl

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Sep 15 2010 mantel@suse.de
- Initial release of SatConfig-bootstrap
